Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 679088 - Line numbers don't line up to lines in orion
: Line numbers don't line up to lines in orion
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86 Mac OS X
: P1 normal (vote)
: Firefox 10
Assigned To: Nobody; OK to take it and work on it
: (Unavailable until Nov 1) Brian Grinstead [:bgrins]
Depends on: 697407
  Show dependency treegraph
Reported: 2011-08-15 12:36 PDT by Dave Townsend [:mossop]
Modified: 2011-11-07 08:05 PST (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

screenshot (74.83 KB, image/png)
2011-08-15 12:36 PDT, Dave Townsend [:mossop]
no flags Details

Description Dave Townsend [:mossop] 2011-08-15 12:36:23 PDT
Created attachment 553243 [details]

The line numbers don't line up to the source code, it is a little confusing.
Comment 1 Dave Townsend [:mossop] 2011-08-15 12:37:08 PDT
This is fine with default settings, but I have my monospace font set to Monaco which is what causes the problem
Comment 2 Rob Campbell [:rc] (:robcee) 2011-08-31 13:01:01 PDT
Hearing that this also happens with Inconsolata, and likely others.


I noticed that the orion.css uses a font size of pts instead of px though probably not the cause of this. In any case, some investigation is warranted.
Comment 3 dindog 2011-09-30 03:38:55 PDT
platform should be all, I encounter same issue in both Win xp sp3 and Win 7sp1.
Comment 4 Mihai Sucan [:msucan] 2011-10-10 12:18:02 PDT
On Linux I can reproduce the bug with Monaco, but not with Inconsolata. (latest Orion upstream code)
Comment 5 Dave Camp (:dcamp) 2011-10-27 09:21:07 PDT
We're doing developer tool prioritization, filter on 'brontozaur'
to ignore the spam.
Comment 6 Mihai Sucan [:msucan] 2011-10-28 03:43:20 PDT
Bug reported upstream:

Also submitted a proposed fix for review.
Comment 7 Mihai Sucan [:msucan] 2011-11-01 05:41:46 PDT
This is now fixed by bug 697407. QA will verify.

The proposed fix is still pending review upstream.
Comment 8 Alex Lakatos[:AlexLakatos] 2011-11-07 08:05:16 PST
Verified on Build identifier: Mozilla/5.0 (X11; Linux i686; rv:10.0a1) Gecko/20111107 Firefox/10.0a1 with various fonts set for monospace font

Note You need to log in before you can comment on or make changes to this bug.